Subject: Re: MPC8610HPCD sound as module

From: Mark Brown <[email-masked]>
Date: Thu, 11 Dec 2008 18:52:56 +0000

On Thu, Dec 11, 2008 at 09:45:26AM -0600, Timur Tabi wrote:

> And since I fixed the code in the V2 drivers, I have no interest in fixing it in
> the V1 drivers, which are officially in maintenance mode -- only critical bug
> fixes, no new features.

Well, from that point of view now would be a good time for you to start
backporting your newer code.  The concept of having the core wait for
subdevices to probe is now there which was the major win from the point
of view of integration with the device tree.  What's there now also has
the changes you wanted without the use of templates in the ASoC core so
you can do a single memory allocation for devices rather than having to
fill out templates and have the core do allocations for you.